#include <COM_USB.h>

#FUSES NOMCLR

#define USB_CDC_ISR() recibe() //Interrupcion por recepcion de datos

void recibe();//Subrutina de la interrupcion

#define USB_CONFIG_BUS_POWER 500 //500ma corriente de entrada

#include "usb_cdc.h"

#define LED1   PIN_D0
#define LED2   PIN_D1
#define LED3   PIN_D2

char recibido[15];

void leds();

void recibe()
{
   memset(recibido, 0, sizeof(recibido)); //limpia los registros de la varible
   int8 i=0;
   while(true)
   {
      recibido[i] = usb_cdc_getc();//RECIBE EL CARACTER

      if(recibido[i] == '\n')//busca el salto de linea \r\n
      {
         recibido[i-1] = '\0';  //  \r = \0 (caracter nulo)
         recibido[i] = '\0';   //  \n = \0 (caracter nulo)

         leds();
         return;
      }
      i++;
   }
}


void leds()
{
   signed int8 result;

   char LED1_ON[8] = "LED1_ON";
   char LED1_OFF[9] = "LED1_OFF";

   char LED2_ON[8] = "LED2_ON";
   char LED2_OFF[9] = "LED2_OFF";

   char LED3_ON[8] = "LED3_ON";
   char LED3_OFF[9] = "LED3_OFF";
   
   result = strcmp(recibido, LED1_ON);//compara, si son iguales (0), no (+-1)

   if(result==0)
   {
      OUTPUT_BIT(LED1,1);
      return;
   }//enciende el led1

   result = strcmp(recibido, LED1_OFF);

   if(result==0)
   {
      OUTPUT_BIT(LED1,0);
      return;
   }

   result = strcmp(recibido, LED2_ON);

   if(result==0)
   {
      OUTPUT_BIT(LED2,1);
      return;
   }

   result = strcmp(recibido, LED2_OFF);

   if(result==0)
   {
      OUTPUT_BIT(LED2,0);
      return;
   }

   result = strcmp(recibido, LED3_ON);

   if(result==0)
   {
      OUTPUT_BIT(LED3,1);
      return;
   }

   result = strcmp(recibido, LED3_OFF);

   if(result==0)
   {
      OUTPUT_BIT(LED3,0);
      return;
   }
}


void main()
{
   usb_init();
   while(TRUE)
   {


      //TODO: User Code
   }

}
